#%%bcond_without tests

%global         srcname     msrestazure
%global         forgeurl    https://github.com/Azure/msrestazure-for-python/
Version:        0.6.4
%global         tag         v%{version}

Name:           python-%{srcname}
Release:    1%{?dist}
Summary:        The runtime library "msrestazure" for AutoRest generated Python clients

License:        MIT
URL:            %forgeurl
Source0:        msrestazure-for-python-0.6.4.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel


%if %{with tests}
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(httpretty)
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
The runtime library "msrest" for AutoRest generated Python clients}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n msrestazure-for-python-0.6.4


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%if %{with tests}
%check
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE.md


%changelog
* Thu Jul 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.4-1
- initial build
